Subject: bug#53328: 27.2; Doc-string line incorrectly filled (off-by-one bug)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jan 2022 20:13:34 +0200

> From: Drew Adams <[email-masked]>
> Date: Mon, 17 Jan 2022 20:43:21 +0000
> 
> emacs -Q
> 
> (defface foo
>   '((t :background "Green"))
>   "Face used to @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
> xxxxx xxxxxxxxxxx xxxxxxxxxxxx xxxxxxxxxxxxx  xxxxxxx  xxxxxx yyyyyyy."
>   :group 'faces)
> 
> Put point at the beginning of the second doc-string line.
> 
> `M-q'
> 
> That second line is filled by inserting a newline char before `yyyyyyy'.
> The line should not be split - it is 70 chars, which is allowed by
> convention.
> 
> The problem seems to be an off-by-one bug.  The double-quote char ending
> the string is perhaps being counted, as if it were part of the doc
> string.

What command is bound to M-q in this case on your system?  Here it is
fill-paragraph, and that command knows nothing about Lisp doc strings.
For it, this is just plain text.